#include "../include/dos.h"

void usage()
{
    printf("Available options:\n\
\t-i <interface>\n\
\t-f <bpf tcpdump filter>\n\
\t-s <file with scoring rules>\n\
\t-l <logfile>\n\
\t-a (addative logile)\n\
\t-d (daemon mode)\n\
\t-r <report refresh time in seconds>\n\
\t-w <score limit which cause warning>\n\
\t-c <score limit which cause critical>\n\
\t-t (add timestamps to outputs)\n\
\t-C <net filter>\n\
\t-p (count only private networks)\n\
\t-P <no. of maximum packets to receive>\n\
\t-T <time to exit>\n\
\t-q (quiet mode)\n\
\t-R <redir ip:redir port)\n\
\t-o <redirector output format>\n\
\t-h (display help)\n\
\t-v (verbose mode)\n");
    exit(0);
}

void version()
{
    printf
        ("(c) 2004,2005 Krzysztof Pawlowski <msciciel@darkzone.ma.cx> , Version: %s\n",
         VER);
}

/* Return netmask from prefix /xx */
uint32_t netmask(uint8_t mask)
{
	uint8_t		i;
	uint32_t	prefix;

	if (mask > 32) {
		printf("Invalid PREFIX: %d\n", mask);
		return 0;
	} else {
		i = 32 - mask;
		prefix = 0xffffffff;

		while (i > 0) {
			prefix = prefix << 1;
			i--;
		}

		return prefix;
	}
}

/* Realloc() */
void *Realloc(void *ptr, size_t size)
{
	void 	*t;

	if ((t = realloc(ptr, size )) == NULL) {
		perror("Could not resize array !");
		exit(-1);
	} else return t;
}

